Subject: Misleading wording in section 8.1.2: AgentX over TCP operation

From: Bill Fenner <[email-masked]>
Date: Fri, 31 Jul 1998 12:11:00 PDT

Section 8.1.2 says:

   All AgentX PDUs are presented individually to the TCP, to be sent as
   the data portion of a TCP PDU.

Applications can't control TCP PDU's; e.g. if you do 3 small TCP writes
in a row, most TCP's will coalesce the 2nd and 3rd write into a single
TCP PDU.  And, of course, large writes will be fragmented into multiple
TCP PDU's.

I'd suggest removing this sentence in the next version of the document,
since how you present data to TCP has very little to do with how TCP
puts the data into PDU's.

  Bill